# DaisyUI Kit

[Read the Docs](https://daisyuikit.com)

## Start with CSS. Sprinkle in VueJS

You can do a lot with CSS. VueJS lets us go beyond any limitations to give your users exactly the UX they desire. Where it makes sense, we've integrated components with reactive `v-model` support.

## No Memorizing Class Names

When you don't have to memorize class names, you can start building right away.

## Semantic Markup

It's much nicer to read component names than `<div class="" />`. It reduces mental overhead and frees up creativity.

## Built with TypeScript

Since DaisyUI is built with Typescript, you get type-friendly components and props. The props practically document themselves.

## Great Documentation

The DaisyUI Kit documentation is loaded with examples. Expand the code panel below any example to copy, paste, then customize.

## Small Bundle Size

We've found the perfect middle ground that captures the ease-of-use you get with components while also not bundling a lot of extra CSS class utilities.
